tables.h File Reference
`#include "groebner_defs.h"`
`#include <stdexcept>`
`#include <polybori/groebner/ZeroFunction.h>`
`#include <polybori/groebner/SetBitUInt.h>`
`#include <polybori/groebner/dlex4data.h>`
`#include <polybori/groebner/lp4data.h>`
`#include <polybori/groebner/dp_asc4data.h>`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Macros

#define | PBORI_HAVE_DLEX4_DATA 1
#define | PBORI_HAVE_LP4_DATA 1
#define | PBORI_HAVE_DP_ASC4_DATA 1

## Functions

template<class value_type , class initializer , class set_bit >
value_type | polybori::groebner::p2code (Polynomial p, const std::vector< char > &ring_2_0123, int max_vars)
unsigned int | polybori::groebner::p2code_4 (Polynomial p, const std::vector< char > &ring_2_0123)
unsigned int | polybori::groebner::get_table_entry4 (const BoolePolyRing &ring, int p_code, int pos)
Monomial | polybori::groebner::code_2_m_4 (const BoolePolyRing &ring, unsigned int code, const std::vector< idx_type > &back_2_ring)
Polynomial | polybori::groebner::code_2_poly_4 (const BoolePolyRing &ring, unsigned int code, const std::vector< idx_type > &back_2_ring)
bool | polybori::groebner::have_ordering_for_tables (const int order_code)
bool | polybori::groebner::have_ordering_for_tables (const BoolePolyRing &ring)
bool | polybori::groebner::have_base_ordering_for_tables (const BoolePolyRing &ring)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-30

This file some functions for managing precomputed Groebner tables.

Copyright:
  (c) 2006-2011 by The PolyBoRi Team

## Macro Definition Documentation

#define PBORI_HAVE_DLEX4_DATA 1

#define PBORI_HAVE_DP_ASC4_DATA 1

#define PBORI_HAVE_LP4_DATA 1